## org.eclipse.uml2.uml.editor.presentation
Class UMLEditor.UMLPropertySource

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertySource
          org.eclipse.uml2.uml.editor.presentation.UMLEditor.UMLPropertySource

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertySource

Enclosing class:
  UMLEditor

    protected static class UMLEditor.UMLPropertySource

extends org.eclipse.emf.edit.ui.provider.PropertySource

Field Summary
`protected java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `stereotypeApplicationItemPropertyDescriptors`

Fields inherited from class org.eclipse.emf.edit.ui.provider.PropertySource
`itemPropertySource, object`

Constructor Summary
`protected` `UMLEditor.UMLPropertySource(java.lang.Object object, org.eclipse.emf.edit.provider.IItemPropertySource itemPropertySource)`

Method Summary
`protected org.eclipse.ui.views.properties.IPropertyDescriptor` `createPropertyDescriptor(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor)`
`protected org.eclipse.emf.edit.provider.IItemPropertyDescriptor` `getItemPropertyDescriptor(java.lang.Object propertyId)`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` `getPropertyDescriptors()`
`java.lang.Object` `getPropertyValue(java.lang.Object propertyId)`
`boolean` `isPropertySet(java.lang.Object propertyId)`
`void` `resetPropertyValue(java.lang.Object propertyId)`
`void` `setPropertyValue(java.lang.Object propertyId, java.lang.Object value)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.PropertySource
`getEditableValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stereotypeApplicationItemPropertyDescriptors

    protected java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> stereotypeApplicationItemPropertyDescriptors

Constructor Detail

### UMLEditor.UMLPropertySource

    protected UMLEditor.UMLPropertySource(java.lang.Object object,
                                          org.eclipse.emf.edit.provider.IItemPropertySource itemPropertySource)

Method Detail

### createPropertyDescriptor

    protected org.eclipse.ui.views.properties.IPropertyDescriptor createPropertyDescriptor(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor)

  Overrides:
    `createPropertyDescriptor` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

### getItemPropertyDescriptor

    protected org.eclipse.emf.edit.provider.IItemPropertyDescriptor getItemPropertyDescriptor(java.lang.Object propertyId)

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object propertyId)

  Specified by:
    `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyValue` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

### isPropertySet

    public boolean isPropertySet(java.lang.Object propertyId)

  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `isPropertySet` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object propertyId)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `resetPropertyValue` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

### setPropertyValue

    public void setPropertyValue(java.lang.Object propertyId,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `setPropertyValue` in class `org.eclipse.emf.edit.ui.provider.PropertySource`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.